std::vector::pop_back(3)

NAME
std::vector::pop_back - std::vector::pop_back

Synopsis
   void pop_back(); (until C++20)
   constexpr void pop_back(); (since C++20)
   Removes the last element of the container.
   Calling pop_back on an empty container results in undefined behavior.
   Iterators and references to the last element, as well as the end() iterator, are
   invalidated.

Parameters
   (none)

Return value
   (none)

Complexity
   Constant.

Exceptions
   Throws nothing.

Example
// Run this code
 #include <vector>
 #include <iostream>
 template<typename T>
 void print(T const & xs)
 {
     std::cout << "[ ";
     for(auto const & x : xs) {
         std::cout << x << ' ';
     }
     std::cout << "]\n";
 }
 int main()
 {
     std::vector<int> numbers;
     print(numbers);
     numbers.push_back(5);
     numbers.push_back(3);
     numbers.push_back(4);
     print(numbers);
     numbers.pop_back();
     print(numbers);
 }

Output:
 [ ]
 [ 5 3 4 ]
 [ 5 3 ]

See also
   push_back adds an element to the end
             (public member function)